<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Peter's Mirrored Clock Converter</title>
</head>

<body>
    <div id="clockform">
        <label for="mirrored">Time Peter sees in the mirror (hh:mm): </label>
        <input type="text" id="mirrored" name="mirrored">
        <button id="button" onclick="unmirror()">Unmirror!</button>
    </div>
    <hr />
    Real time:&nbsp;<span id="unmirrored"></span><span id="error"></span>
    <script>
        // Handle enter pressed inside field, because it sucks having to click
        var input = document.getElementById("mirrored");
        input.addEventListener("keyup", function(event) {
            if (event.keyCode === 13) {
                event.preventDefault();
                document.getElementById("button").click();
            }
        });

        // Process the field value
        function unmirror() {
            console.log(document.getElementById("mirrored").value);
            document.getElementById("unmirrored").innerHTML = "";
            document.getElementById("error").innerHTML = "";
            mirrored_value = document.getElementById("mirrored").value;
            var xhr = new XMLHttpRequest();
            xhr.open("GET", "/mirrored/" + mirrored_value, false);
            xhr.send(null)
            console.log(xhr);
            if (xhr.status === 200) {
                document.getElementById("unmirrored").innerHTML = xhr.responseText;
            } else {
                document.getElementById("error").innerHTML = xhr.responseText;
            }
        }
    </script>
</body>
</html>